[meta:date:2013-06-20]

[general]
New on Windows: **HelpDesk Server 7.5 already brings the Java VM with it!**

Please note the following changes in this context:

### Java VM is included
The VM is located in the HelpDesk server program directory. This eliminates the problem of a Java update not being successful while the HelpDesk service is running. An installed Java is still (still) necessary for the HelpDesk program update. When the HelpDesk server is running, it ignores an existing Java installation.

**Note:** You can also switch off the supplied Java VM. To do this, run the file `HDSSVC.exe` (path: `../i-net HelpDesk/Server`) as administrator. In the tab `Java` activate the checkbox `Use default`. In the HelpDesk program directory, the JRE folder can now be deleted.

**Note:** However, an installed Java VM is still required for the HelpDesk client as an applet in the browser or as a stand-alone solution (HelpDesk.jnlp).

### Service name changes
The previous service name `HDSSVC.exe` remains as the name. However, it assumes the role of a configuration interface. Here, among other things, log outputs can be activated or the size of the working memory to be used can be set.

The HelpDesk server service now starts with the EXE file `hdservice.exe`.

#### If necessary, adjust the activation of the HelpDesk server in the firewall!
If you have enabled the HelpDesk program HDSSVC.exe in your firewall, please adjust the rule and reference `hdservice.exe`! This way the HelpDesk server remains directly accessible for the HelpDesk client. No login dialog pops up, because the single sign-on takes place in the background.

If the HelpDesk server is no longer directly accessible for the HelpDesk client (default ports `8000`/`8002`), then communication takes place via http (port 80) or https (port 443). In this case, however, a login dialog always opens.

[general:de]
Neu unter Windows: **Der HelpDesk-Server 7.5 bringt die Java VM bereits mit!**

Beachten Sie in diesem Zusammenhang die folgenden Umstellungen:

### Java VM wird mitgeliefert
Die VM liegt im HelpDesk-Server-Programmverzeichnis. Damit entfällt das Problem, dass ein Java-Update bei laufendem HelpDesk-Dienst nicht erfolgreich ist. Ein installiertes Java ist für das Update des HelpDesk-Programms weiterhin (noch) notwendig. Im laufenden Betrieb ignoriert der HelpDesk-Server eine vorhandene Java-Installation.

**Hinweis:** Sie können die mitgelieferte Java VM auch abschalten. Führen Sie dazu die Datei `HDSSVC.exe` (Pfad: `../i-net HelpDesk/Server`) als Administrator aus. Im Tab `Java` aktivieren Sie die Checkbox `Use default`. Im HelpDesk-Programmverzeichnis kann nun der Ordner JRE gelöscht werden.

**Hinweis:** Für den HelpDesk-Client als Applet im Browser oder als Stand-Alone-Lösung (HelpDesk.jnlp) ist jedoch weiterhin eine installierte Java VM erforderlich.

### Dienstname ändert sich
Der bisherige Dienstname `HDSSVC.exe` bleibt als Name erhalten. Er übernimmt jedoch die Rolle einer Konfigurationsoberfläche. Hier können u.a. Log-Ausgaben aktiviert oder die Größe des zu nutzenden Arbeitsspeichers eingestellt werden.

Der HelpDesk-Server-Dienst startet nun mit der EXE-Datei `hdservice.exe`.

#### Passen Sie evtl. die Freischaltung des HelpDesk-Servers in der Firewall an!
Falls Sie in Ihrer Firewall das HelpDesk-Programm HDSSVC.exe freigeschaltet haben, dann passen Sie die Regel bitte an und referenzieren auf `hdservice.exe`! Damit bleibt der HelpDesk-Server für den HelpDesk-Client weiterhin direkt erreichbar. Es poppt kein Anmeldedialog auf, da im Hintergrund das Single-Sign-On erfolgt.

Wenn der HelpDesk-Server für den HelpDesk-Client nicht mehr direkt erreichbar ist (Default die Ports `8000`/`8002`), dann erfolgt die Kommunikation über http (Port 80) bzw. https (Port 443). In diesem Fall öffnet sich jedoch immer ein Anmeldedialog.

[changes]
* **Orders, replies dialog:** The sender alias of the mailbox can be extended with the name of the author (supporter).
  - SMTP address is still e.g.: `helpdesk@firma.de`
  - But the display name is e.g. `Max Supporter [HelpDesk Team]`
  - This is the combination of the supporter's display name `Max Supporter` plus alias `HelpDesk Team` of the mailbox `helpdesk@firma.de`. The sender alias of the mailbox can be extended with the name of the author (supporter).
* **Tasks, Reply dialog:** For non-email steps, a short description is now also displayed in the preview window.
* **Tasks:** Deletion of completed tickets possible.\ Example: all tickets with the category `Dot matrix printer` should be deleted. - Button `Search`: Search for the category `Dot matrix printers`.
  - In the tree you can now see all found tickets.
  - Multiple marker
  - Now click the delete-X at the top of the toolbar.
* **Tasks details:** in the tab `Edit` the time will be set only when you open this tab.
* **Order Tree:** context menu now shows the concrete field name instead of `Selection`.
* **Process definition:** `Manual escalation` is now allowed as an action.
* **End User Applet, New Request:** Setting the subject is sufficient. The body can be empty.
* **End user applet, List of own requests:** Sorting of the column "Status" is now based on the status number, not on the alphabet. As a result, completed requests are displayed at the bottom of the list, no longer between the statuses of open requests.
* **Attachments:** The positive list of allowed file types can be extended. To do this, the file `filefilter.properties` must be created in the HelpDesk program directory.
* **Server configuration:** No automatic bundling in the specified mailbox: By default, imported e-mails are automatically bundled into a ticket if e-mails are found in the mailbox during the same or the following polling interval whose sender and subject are identical. This behavior can be disabled with the following entries in the `ServerPorperties` file.

```
# No automatic bundling in the specified mailbox
mail/ACOUNTNAME.noBundles=*

#No automatic bundling for one or n-any number of sender addresses
#(separator is the semicolon)
mail/ACOUNTNAME.noBundles=susi.schuster@firma1.local;max.mustermann@firma2.local
```
* **New Report:** `Average Processing Times (Graphical)` - This report calculates the average processing time of jobs completed in the specified time period. The report should provide the *real* support times if possible. Falsifying times due to waiting for customer response in some cases should be eliminated. Therefore it is defined in the report that the time between the action `Email sent` and a new processing (e.g. `Receive email`) is NOT calculated.
* **Java-Script:** There is a new trigger `ITIL_CHANGE`. This provides e.g. the possibility to send an auto-mail when the ITIL process changes.
* Ad-hoc reports for all. Every user can now see all stored ad-hoc reports. However, as before, you can only change your own.
* Update now also supports standalone if IIS was used before.
* New Java Mail version 1.5
* Improved JTAPI interface

[changes:de]
* **Aufträge, Antworten-Dialog:** Der Absender-Alias des Postfachs kann mit dem Namen des Verfassers (Supporters) erweitert werden.
  - SMTP-Adresse ist weiterhin z.B: `helpdesk@firma.de`
  - Der Anzeigename lautet aber z.B. `Max Supporter [HelpDesk Team]`
  - Dabei handelt es sich um die Kombination des Anzeigenamens des Supporters `Max Supporter` plus Alias `HelpDesk Team` des Postfachs `helpdesk@firma.de`. Der Absender-Alias des Postfachs kann mit dem Namen des Verfassers (Supporters) erweitert werden.
* **Aufträge, Antworten-Dialog:** Für nicht E-Mail Schritte wird nun ebenfalls eine Kurzbeschreibung im Vorschaufenster angezeigt.
* **Aufträge:** Löschen erledigter Tickets möglich.\\ Beispiel: alle Tickets mit der Kategorie `Nadeldrucker` sollen gelöscht werden. - Button `Suche`: Suche nach der Kategorie `Nadeldrucke`.
  - Im Baum sieht man nun alle gefundenen Tickets.
  - Mehrfachmarkierung
  - Nun das Lösch-X oben in der Symbolleiste klicken.
* **Aufträge-Details:** im Tab `Bearbeiten` wird die Uhrzeit erst dann gesetzt, wenn man diesen Tab öffnet.
* **Auftragsbaum:** Kontextmenü zeigt statt `Auswahl` nun den konkreten Feldnamen an.
* **Prozess-Definition:** `Manuelle Eskalation` ist als Aktion nun zulässig.
* **Endanwender-Applet, Neue Anfrage:** Das Setzen des Betreffs genügt. Der Body kann leer sein.
* **Endanwender-Applet, Liste der eigenen Anfragen:** Sortierung der Spalte "Status" richtet sich nun nach der Status-Zahl, nicht nach dem Alphabet. Dadurch werden erledigte Aufträge in der Liste unten angezeigt, nicht mehr zwischen den Status der offenen Aufträge.
* **Anlagen:** Die Positivliste der zulässigen Dateitypen kann erweitert werden. Dazu muss im HelpDesk-Programmverzeichnis die Datei `filefilter.properties` angelegt werden.
* **Server Konfiguration:** Kein automatisches Bündeln im angegebenen Postfach: Standardmäßig werden eingelesene E-Mails automatisch zu einem Ticket gebündelt, wenn im selben oder im darauf folgenden Polling-Intervall im Postfach E-Mails gefunden werden, deren Absender und deren Betreff identisch sind. Dieses Verhalten kann mit den nachfolgenden Einträgen Inder Datei `ServerPorperties` deaktiviert werden.

```
# Kein automatisches Bündeln im angegebenen Postfach
mail/ACOUNTNAME.noBundles=*

#Kein automatisches Bündeln für eine oder n-beliebig viele Absender-Adressen
#(Trennzeichen ist das Semikolon)
mail/ACOUNTNAME.noBundles=susi.schuster@firma1.local;max.mustermann@firma2.local
```
* **Neuer Bericht:** `Durchschnittliche Bearbeitungszeiten (grafisch)` - Dieser Bericht berechnet die durchschnittliche Bearbeitungszeit von Aufträgen, die im angegebenen Zeitraum beendet wurden. Der Bericht soll möglichst die *echten* Supportzeiten liefern. Verfälschende Zeiten durch das z.T. Warten auf Kundenantwort sollen eliminiert werden. Deshalb ist im Bericht hinterlegt, dass die Zeit zwischen der Aktion `E-Mail gesendet` und einer neuen Bearbeitung (z.B. `E-Mail empfangen`) NICHT berechnet wird.
* **Java-Script:** Es gibt einen neuen Trigger `ITIL_CHANGE`. Damit besteht z.B. die Möglichkeit des Versendens einer Auto-Mail, wenn sich der ITIL-Prozess ändert.
* Ad-hoc-Berichte für alle. Jeder Nutzer kann nun alle gespeicherten Ad-hoc Berichte sehen. Ändern kann man jedoch nach wie vor nur die eigenen.
* Update unterstützt nun auch Standalone, wenn vorher IIS genutzt wurde.
* Neue Java-Mail-Version 1.5
* Verbesserte JTAPI-Schnittstelle

[bugfixes]
* **Supporter with only resource rights:** Button `Attachments` is missing in dialogs `Apply Quick Ticket` and `New Order` (only for resources).
* **Ad-hoc reporting:** Export of a report is not possible. (fixed in ReportViewer.jar)
* **Email only template `subtemplatelaststep`:** Layout in Outlook 2010 unsightly.
* **Search dialog (standalone only):** Old search text is not marked immediately and consequently cannot be overwritten directly.
* **Auto mail to end user (customer) on immediate ticket completion in Requests module:** Text of solution is not transmitted.
* **Module Orders --> Details --> List of processing steps:** sporadically very small display.
* **HTML client (IE8/9 only) - Requests module:** Formatting text and a dialog opens (e.g. select font color), then after closing the dialog the writing seems to have disappeared (white page). Resizing the window causes a redraw and the text is visible again.
* **MMC, data maintenance:** Tickets with status `deleted` cannot be deleted if a link exists.
* **Attachments:** When saving multiple files to disk at the same time, file names are not mapped correctly.
* **Standalone client (.jnlp) only:** "This application's digital signature has expired."
* **Applet only:** Entries with graphics cannot be sent or saved.
* Exit ticket fails if only a screenshot is pasted into the text field.

[bugfixes:de]
* **Supporter mit nur Ressource-Rechten:** Button `Anlagen` fehlt in den Dialogen `Quick- Ticket anwenden` und `Neuer Auftrag` (nur bei Ressourcen).
* **Ad-hoc-Reporting:** Der Export eines Berichtes ist nicht möglich. (gefixt in ReportViewer.jar)
* **Nur E-Mail-Template `subtemplatelaststep`:** Layout in Outlook 2010 unschön.
* **Suchdialog (nur Standalone-Lösung):** Alter Suchtext ist nicht sofort markiert und kann folglich nicht direkt überschrieben werden.
* **Auto-Mail an Enduser (Kunden) bei sofortiger Ticket-Beendigung im Modul Anfragen:** Text der Lösung wird nicht übermittelt.
* **Modul Aufträge --> Details --> Liste der Bearbeitungsschritte:** sporadisch sehr kleine Darstellung.
* **HTML-Client (nur IE8/9) - Modul Anfragen:** Formatiert man Text und ein Dialog öffnet sich (z.B. Schriftfarbe auswählen), dann ist nach dem Schließen des Dialogs scheinbar das Geschriebene verschwunden (weiße Seite). Ein Ändern der Fenstergröße führt zu einem Neuzeichnen und der Text ist wieder sichtbar.
* **MMC, Datenpflege:** Tickets mit Status `gelöscht` können nicht gelöscht werden, wenn eine Verlinkung besteht.
* **Anlagen:** Beim gleichzeitigen Speichern mehreren Dateien auf die Festplatte werden die Dateinamen nicht korrekt zugeordnet.
* **Nur Stand-Alone-Client (.jnlp):** "Die digitale Signatur dieser Anwendung ist abgelaufen."
* **Nur Applet:** Einträge mit Grafiken können weder gesendet noch gespeichert werden.
* Ticket beenden schlägt fehl, wenn in das Textfeld lediglich ein Screenshot eingefügt wird.

[security]

[security:de]
